%define		mod_name	whois
%define 	apxs		/usr/sbin/apxs
Summary:	Apache module: WHOIS->WEB gateway
Summary(pl.UTF-8):	Moduł Apache'a: bramka WHOIS->WWW
Name:		apache-mod_%{mod_name}
Version:	0.1
Release:	4
License:	distributable
Group:		Networking/Daemons/HTTP
Source0:	http://dl.sourceforge.net/modwhois/mod_%{mod_name}-%{version}.tar.gz
# Source0-md5:	8b4f29868c221b2d54f59b7a0c090698
Source1:	%{name}.conf
Patch0:		%{name}-epp_server.patch
URL:		http://modwhois.sourceforge.net/
BuildRequires:	%{apxs}
BuildRequires:	apache-devel >= 2.0
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	apache(modules-api) = %apache_modules_api
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)
%define		_sysconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)/conf.d

%description
Apache module: WHOIS->WEB gateway.

%description -l pl.UTF-8
Moduł Apache'a: bramka WHOIS->WWW.

%prep
%setup -q -n mod_%{mod_name}
%patch0 -p1

%build
%{apxs} -c mod_%{mod_name}.c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_pkglibdir}}

install .libs/mod_%{mod_name}.so $RPM_BUILD_ROOT%{_pkglibdir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/83_mod_%{mod_name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q httpd restart

%postun
if [ "$1" = "0" ]; then
	%service -q httpd restart
fi

%files
%defattr(644,root,root,755)
%doc LICENSE README
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*_mod_%{mod_name}.conf
%attr(755,root,root) %{_pkglibdir}/*.so
%changelog
* Mon Sep 28 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/apache-mod_whois.git;a=log;h=master

* Mon Sep 28 2015 Paweł Gołaszewski <blues@pld-linux.org> 7876dde
- rel.4 - epp_server patch, taken from epp-server sources.

* Fri Dec 09 2011 Elan Ruusamäe <glen@pld-linux.org> b48319f
- fix config dir

* Sat Oct 25 2008 Paweł Gołaszewski <blues@pld-linux.org> 6aea57b
- HTTP group

* Sun Dec 09 2007 Elan Ruusamäe <glen@pld-linux.org> f84b045
- apache-apxs -> %{apxs} in BR

* Thu Jun 07 2007 shadzik <shadzik@pld-linux.org> 463bb94
- BR s@%{apxs}@apache-apxs@g

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> b9eb9f2
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 6038dfb
- converted to UTF-8

* Mon Jan 30 2006 Elan Ruusamäe <glen@pld-linux.org> 12ad5f8
- use %service

* Tue Dec 27 2005 Elan Ruusamäe <glen@pld-linux.org> ad308ba
- unified

* Thu Dec 22 2005 Elan Ruusamäe <glen@pld-linux.org> faf9e26
- rel 3 (rebuild with new apache)

* Thu Dec 22 2005 Elan Ruusamäe <glen@pld-linux.org> 7a758d1
- unified

* Mon Dec 12 2005 Elan Ruusamäe <glen@pld-linux.org> cdd91cc
- adapterized (sorted %verify attrs)

* Fri Oct 15 2004 radek <radek@pld-linux.org> 00ea305
- typo

* Fri Oct 15 2004 radek <radek@pld-linux.org> f30427b
- added Id cvs tag and vim modeline

* Sun Oct 10 2004 havner <havner@pld-linux.org> c99c286
- rel up for rebuild with new apache/apr

* Sun Sep 19 2004 radek <radek@pld-linux.org> c4ce8c7
- release 1: unified

* Mon Mar 22 2004 Arkadiusz Miśkiewicz <arekm@maven.pl> 008f21e
- load modules/xyz.so

* Tue Mar 16 2004 Jakub Bogusz <qboosh@pld-linux.org> 5ed33fa
- pl

* Tue Mar 16 2004 Arkadiusz Miśkiewicz <arekm@maven.pl> c838cd3
- new

